import React from "react"


/**
 * 联系方式
 * @returns 
 */
const ContactBox: React.FC = () => {


    return <section className="contact-box">
        <div className="contact-item">
            <img className="qrcode" src="https://image.gaeamobile.net/image/20220811/135903/qrcode_wx.png" alt="" />
            <p className="qrcode-name">官方微信</p>
            <p className="qrcode-tip">扫描二维码关注</p>
            <a className="qrcode-detail">公众号：<span className="red">仙剑奇侠传3D回合</span></a>
        </div>
        <div className="contact-item">
            <img className="qrcode" src="https://image.gaeamobile.net/image/20220811/135903/qrcode_weibo.png" alt="" />
            <p className="qrcode-name">官方微博</p>
            <p className="qrcode-tip">扫描二维码关注</p>
            <a className="qrcode-detail pointer">新浪微博：<span className="red">仙剑奇侠传3D回合</span></a>
        </div>

        <div className="contact-item">
            <img className="qrcode" src="https://image.gaeamobile.net/image/20220811/135903/qrcode_douyin.png" alt="" />
            <p className="qrcode-name">官方抖音</p>
            <p className="qrcode-tip">扫描二维码关注</p>
            <a className="qrcode-detail">抖音账号：<span className="red">仙剑奇侠传3D回合</span></a>
        </div>

        <div className="contact-item contact-qq">
            <div className="contact-qq-con">
                <div className="qq-item">
                    <span className="qq-ico"></span>
                    <div className="qq-info">
                        <p>加入官方Q群</p>
                        <p>群号:<span className="red">453478910</span></p>
                    </div>
                </div>
                <div className="qq-item">
                    <span className="qq-baidu"></span>
                    <div className="qq-info">
                        <p>关注官方贴吧</p>
                        <p><span className="red">仙剑奇侠传3D回合吧</span></p>
                    </div>
                </div>
            </div>
            <a href="http://tieba.baidu.com/f?ie=utf-8&amp;kw=%E4%BB%99%E5%89%91%E5%A5%87%E4%BE%A0%E4%BC%A03d%E5%9B%9E%E5%90%88&amp;fr=search&amp;qq-pf-to=pcqq.discussion" className="qrcode-detail pointer">点击进入<span className="red">论坛&amp;贴吧</span></a>
        </div>
    </section>
}

export default React.memo(ContactBox)